%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           sahara-image-elements
Epoch:          1
Version:        4.0.1
Release:        2%{?dist}
Summary:        Image creation tools for Openstack Sahara

License:        ASL 2.0
URL:            https://launchpad.net/sahara
Source0:        http://tarballs.openstack.org/sahara-image-elements/sahara-image-elements-%{version}%{?milestone}.tar.gz
BuildArch:      noarch

#
# patches_base=+1
#
Patch0001: 0001-Remove-unsupported-plugins-and-options.patch
Patch0002: 0002-Removing-ip6tables-save.patch
Patch0003: 0003-Initialize-iptables-before-save.patch
Patch0004: 0004-Changing-image-names-for-RHEL-6.patch
Patch0005: 0005-Removing-HDP-and-older-CDH-versions.patch
Patch0006: 0006-replace-extjs-location-to-sahara-files.patch

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-pbr >= 0.5.19

Requires: dib-utils
Requires: diskimage-builder >= 0.1.34-21
Requires: rsync
Requires: wget
Requires: qemu-kvm
Requires: qemu-img
Requires: kpartx
Requires: git

%description
Sahara-image-elements provides the ability to create the images necessary to generate data processing clusters
in Sahara.

%prep
%setup -q -n sahara-image-elements-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc AUTHORS LICENSE ChangeLog
%{_bindir}/sahara-image-create
%{_bindir}/diskimage-create.sh
%{_datadir}/sahara-elements
%{python2_sitelib}/sahara_image_elements-%{version}%{?milestone}-py?.?.egg-info

%changelog
* Thu Jul 07 2016 Ethan Gafford <egafford@redhat.com> 1:4.0.1-2
- Replacing extjs location with sahara-files URL
- Resolves: rhbz#1353634

* Fri Jul 01 2016 Ethan Gafford <egafford@redhat.com> 1:4.0.1-1
- Update to 4.0.1
- Removing deprecated HDP plugin and older CDH versions
- See rhbz#1351994

* Mon Jun 20 2016 Ethan Gafford <egafford@redhat.com> 1:4.0.0-2
- Changing image names for RHEL 6.*

* Thu May 12 2016 Ethan Gafford <egafford@redhat.com> 1:4.0.0-1
- Update to upstream 4.0.0
